<?php
#-----------------------------------------------------#
#          ********* ROTORCMS *********               #
#              Made by  :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#        для его дальнейшего распространения          #
#-----------------------------------------------------#	
require_once ('../includes/start.php');
require_once ('../includes/functions.php');
require_once ('../includes/header.php');
include_once ('../themes/' . $config['themes'] . '/index.php');

if (isset($_GET['act'])) {
    $act = check($_GET['act']);
} else {
    $act = 'index';
} 

show_title('site.png', 'Загрузка фотографии');
$config['newtitle'] = 'Загрузка фотографии';

if (is_user()) {
    switch ($act):
    # ###########################################################################################
    # #                                    Главная страница                                    ##
    # ###########################################################################################
    case 'index':

        echo '<div class="form">';
        echo '<form action="pictures.php?act=upload&amp;uid=' . $_SESSION['token'] . '&amp;' . SID . '" method="post" enctype="multipart/form-data">';
        echo 'Прикрепить фото:<br />';
        echo '<input type="file" name="photo" /><br />';
        echo '<input type="submit" value="Загрузить" /></form></div><br />';

        echo 'Разрешается добавлять фотки с расширением jpg, jpeg, gif и png<br />';
        echo 'Весом не более ' . formatsize($config['filesize']) . ' и размером от 100 до ' . (int)$config['filefoto'] . ' px<br /><br />';

        echo '<img src="../images/img/back.gif" alt="image" /> <a href="profil.php?' . SID . '">Вернуться</a><br />';
        break;
    # ###########################################################################################
    # #                                    Загрузка аватара                                    ##
    # ###########################################################################################
    case 'upload':

        $uid = check($_GET['uid']);

        if ($uid == $_SESSION['token']) {
            if (is_uploaded_file($_FILES['photo']['tmp_name'])) {
                $photoname = check(strtolower($_FILES['photo']['name']));
                $photosize = getimagesize($_FILES['photo']['tmp_name']);
                $ext = strrchr($photoname, '.');

                if ($ext == '.jpg' || $ext == '.jpeg' || $ext == '.gif' || $ext == '.png') {
                    if ($_FILES['photo']['size'] > 0 && $_FILES['photo']['size'] <= $config['filesize']) {
                        if ($photosize[0] <= $config['filefoto'] && $photosize[1] <= $config['filefoto'] && $photosize[0] >= 100 && $photosize[1] >= 100) {
                            if (is_quarantine($log)) {
                                if (is_flood($log)) {
                                    $link = $log . $ext;

                                    DB :: $dbh -> query("UPDATE `users` SET `users_picture`=? WHERE `users_login`=?", array($link, $log));

                                    move_uploaded_file($_FILES['photo']['tmp_name'], BASEDIR . 'gallery/photos/' . $link);
                                    chmod(BASEDIR . 'gallery/photos/' . $link, 0666);

                                    $_SESSION['note'] = 'Фотография успешно загружена!';
                                    header ("Location: profil.php?" . SID);
                                    exit;
                                } else {
                                    show_error('Антифлуд! Вы слишком часто добавляете фотографии!');
                                } 
                            } else {
                                show_error('Карантин! Вы не можете добавлять фото в течении ' . round($config['karantin'] / 3600) . ' часов!');
                            } 
                        } else {
                            show_error('Ошибка! Размер изображение должен быть от 100 до ' . $config['filefoto'] . 'px');
                        } 
                    } else {
                        show_error('Ошибка! Вес изображения должен быть не более ' . formatsize($config['filesize']));
                    } 
                } else {
                    show_error('Ошибка! Недопустимое расширение (Разрешено jpg, jpeg, gif и png)!');
                } 
            } else {
                show_error('Ошибка! Не удалось загрузить фотографию!');
            } 
        } else {
            show_error('Ошибка! Неверный идентификатор сессии, повторите действие!');
        } 

        echo '<img src="../images/img/back.gif" alt="image" /> <a href="pictures.php?' . SID . '">Вернуться</a><br />';
        break;
    # ###########################################################################################
    # #                                  Удаление фотографии                                   ##
    # ###########################################################################################
    case 'del':

        $uid = check($_GET['uid']);

        if ($uid == $_SESSION['token']) {
            $userpic = DB :: $dbh -> querySingle("SELECT `users_picture` FROM `users` WHERE `users_login`=? LIMIT 1;", array($log));

            if (file_exists(BASEDIR . 'gallery/photos/' . $userpic)) {
                unlink (BASEDIR . "gallery/photos/$userpic");
                DB :: $dbh -> query("UPDATE `users` SET `users_picture`=? WHERE `users_login`=?", array('', $log));

                $_SESSION['note'] = 'Фотография успешно удалена!';
                header ("Location: profil.php?" . SID);
                exit;
            } else {
                show_error('Ошибка! Фотографии для удаления не существует!');
            } 
        } else {
            show_error('Ошибка! Неверный идентификатор сессии, повторите действие!');
        } 

        echo '<img src="../images/img/back.gif" alt="image" /> <a href="profil.php?' . SID . '">Вернуться</a><br />';
        break;

    default:
        header("location: pictures.php?" . SID);
        exit;
        endswitch;
    } else {
    show_login('Вы не авторизованы, чтобы загружать фотографии, необходимо');
} 

echo '<img src="../images/img/homepage.gif" alt="image" /> <a href="../index.php?' . SID . '">На главную</a>';

include_once"../themes/" . $config['themes'] . "/foot.php";

?>